Mzeis_Documentation
=====================
Manage your project and module documentation in the backend.
 
Facts
-----
- Composer key: `mzeis/mzeis_documentation`
- Version: 1.1.0
- [Extension on GitHub](https://github.com/mzeis/Mzeis_Documentation)

Compatibility
-------------
- PHP >= 5.3
- Magento >= CE 1.9.1 (may also work in other versions)

Main Features
-------------
* General
  * Search through the documentation
* Project documentation
  * Create and maintain your e-commerce project documentation in the backend
  * Use the WYSIWYG editor for easy editing
  * Create links between pages easily (just like in a Wiki)
  * Manage permissions for viewing and editing
  * Find orphan pages
* Module documentation
  * Read the developer documentation (= markdown files) in the backend

Documentation
-------------

1. [Installation](installation.md)
1. [Uninstallation](uninstallation.md)
1. [General](general.md)
   1. [Usage](general.md#usage)
   1. [Difference between project and module documentation](general.md#difference-project-module-documentation)
   1. [Permissions](general.md#permissions)
   1. [Configuration](general.md#configuration)
   1. [Set another page as the documentation homepage](general.md#set-homepage)
   1. [Searching](general.md#searching)     
   1. [Showing all pages](general.md#all-pages)     
1. [Project documentation](projectdocumentation.md)
   1. [Editing a page](projectdocumentation.md#editing-page)
   1. [Choosing the format](projectdocumentation.md#choosing-format)
   1. [Renaming a page](projectdocumentation.md#renaming-page)
   1. [Creating a new page](projectdocumentation.md#creating-page)
   1. [Orphan pages](projectdocumentation.md#orphan-pages)
1. [Module documentation](moduledocumentation.md)
   1. [Making your documentation available in the backend](moduledocumentation.md#make-available)
   1. [Ways to make your files being read](moduledocumentation.md#make-files-read)
   1. [Alternative: save the module documentation in the database](moduledocumentation.md#module-documentation-database)
1. [Known issues](issues.md)   

Changelog
---------
[CHANGELOG.md](CHANGELOG.md)

Build Status
---
**Latest Release**

[![Scrutinizer Code Quality](https://scrutinizer-ci.com/g/mzeis/Mzeis_Documentation/badges/quality-score.png?b=master)](https://scrutinizer-ci.com/g/mzeis/Mzeis_Documentation/?branch=master)
 
**Development Branch**

[![Scrutinizer Code Quality](https://scrutinizer-ci.com/g/mzeis/Mzeis_Documentation/badges/quality-score.png?b=dev)](https://scrutinizer-ci.com/g/mzeis/Mzeis_Documentation/?branch=dev)

Support
-------
If you have any issues with this extension, please create an issue on GitHub.
Please provide error messages, debug information like output from the Magento
error logs and the exact steps / code to reproduce the issue.

Contribution
------------
Any contribution is highly appreciated. The best way to contribute code is to
open a [pull request on GitHub](https://help.github.com/articles/using-pull-requests).
Always create pull requests against the `dev` branch.

A big thank you to all [contributors](https://github.com/mzeis/Mzeis_Documentation/graphs/contributors)!

Author
------
Matthias Zeis ([matthias-zeis.com](http://www.matthias-zeis.com), [@mzeis](https://twitter.com/mzeis))

License
-------
[MIT License](LICENSE.md)

Copyright
---------
(c) 2015 Matthias Zeis
